﻿namespace TestProject
{
    /// <summary>
    /// 리소스 디스플레이 타입
    /// </summary>
    public enum ResourceDisplayType : int
    {
        /// <summary>
        /// 일반
        /// </summary>
        Generic = 0x0,

        /// <summary>
        /// 도메인
        /// </summary>
        Domain = 0x01,

        /// <summary>
        /// 서버
        /// </summary>
        Server = 0x02,

        /// <summary>
        /// 공유
        /// </summary>
        Share = 0x03,

        /// <summary>
        /// 파일
        /// </summary>
        File = 0x04,

        /// <summary>
        /// 그룹
        /// </summary>
        Group = 0x05,

        /// <summary>
        /// 네트워크
        /// </summary>
        Network = 0x06,

        /// <summary>
        /// 루트
        /// </summary>
        Root = 0x07,

        /// <summary>
        /// 공유 관리
        /// </summary>
        ShareAdmin = 0x08,

        /// <summary>
        /// 디렉토리
        /// </summary>
        Directory = 0x09,

        /// <summary>
        /// 트리
        /// </summary>
        Tree = 0x0a,

        /// <summary>
        /// NDS 컨테이너
        /// </summary>
        NDSContainer = 0x0b
    }
}