﻿using System.Runtime.InteropServices;

namespace TestProject
{
    /// <summary>
    /// 네트워크 리소스
    /// </summary>
    [StructLayout(LayoutKind.Sequential)]
    public class NetworkResource
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 범위
        /// </summary>
        public ResourceScope Scope;

        /// <summary>
        /// 리소스 타입
        /// </summary>
        public ResourceType ResourceType;

        /// <summary>
        /// 디스플레이 타입
        /// </summary>
        public ResourceDisplayType DisplayType;

        /// <summary>
        /// 용법
        /// </summary>
        public int Usage;

        /// <summary>
        /// 지역명
        /// </summary>
        public string LocalName;

        /// <summary>
        /// 원격명
        /// </summary>
        public string RemoteName;

        /// <summary>
        /// 주석
        /// </summary>
        public string Comment;

        /// <summary>
        /// 공급자
        /// </summary>
        public string Provider;

        #endregion
    }
}